Package com.smartgwt.client.widgets.menu.events

# Class MenuItemClickEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<ClickHandler>
com.smartgwt.client.widgets.menu.events.MenuItemClickEvent

public class MenuItemClickEvent extends AbstractSmartEvent<ClickHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MenuItemClickEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(ClickHandler handler)`
  `static <S extends HasClickHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<ClickHandler>`
  `getAssociatedType()`
  `int`
  `getColNum()`
  Index of the column the user clicked.
  `MenuItem`
  `getItem()`
  The `MenuItem` that was clicked on.
  `Menu`
  `getMenu()`
  The `Menu` instance of which this `MenuItem` is a member.
  `Canvas`
  `getTarget()`
  for a menu shown as a context menu, the Canvas the menu was shown on.
  `static GwtEvent.Type<ClickHandler>`
  `getType()`
  Gets the type associated with this event.

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MenuItemClickEvent

    public MenuItemClickEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### fire

    public static <S extends HasClickHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<ClickHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(ClickHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<ClickHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<ClickHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<ClickHandler>`

  - ### getTarget

    public Canvas getTarget()
    for a menu shown as a context menu, the Canvas the menu was shown on. Otherwise the `Menu` instance of which this `MenuItem` is a member.
    Returns:
      for a menu shown as a context menu, the Canvas the menu was shown on. Otherwise the `Menu` instance of which this `MenuItem` is a member.

  - ### getItem

    public MenuItem getItem()
    The `MenuItem` that was clicked on.
    Returns:
      The `MenuItem` that was clicked on.

  - ### getMenu

    public Menu getMenu()
    The `Menu` instance of which this `MenuItem` is a member.
    Returns:
      The `Menu` instance of which this `MenuItem` is a member.

  - ### getColNum

    public int getColNum()
    Index of the column the user clicked. May be null if the user activated the menu via a keyboard event.
    Returns:
      Index of the column the user clicked. May be null if the user activated the menu via a keyboard event.